Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# ApplicationMetadata

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.cast.ApplicationMetadata

## Class Overview

Cast application metadata.

Contains metadata about the receiver application, supplied in `Cast.ApplicationConnectionResult`.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<ApplicationMetadata> | CREATOR |

Public Methods
boolean | areNamespacesSupported(List<String> namespaces) Tests if the application supports all of the given namespaces.
int | describeContents()
String | getApplicationId() Returns the application's ID.
List<WebImage> | getImages() Returns the list of images.
String | getName() Returns the application's human-readable name.
String | getSenderAppIdentifier() Returns the identifier of the sender application that is the counterpart to the receiver application, if any.
boolean | isNamespaceSupported(String namespace) Tests if the application supports the given namespace.
String | toString() Returns the application's human-readable name.
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<ApplicationMetadata> CREATOR

## Public Methods

#### public boolean areNamespacesSupported (List<String> namespaces)

Tests if the application supports all of the given namespaces.

##### Parameters

namespaces | The list of namespaces.

#### public int describeContents ()

#### public String getApplicationId ()

Returns the application's ID.

#### public List<WebImage> getImages ()

Returns the list of images. If there are no images, returns an empty list.

#### public String getName ()

Returns the application's human-readable name.

#### public String getSenderAppIdentifier ()

Returns the identifier of the sender application that is the counterpart to the receiver application, if any.

#### public boolean isNamespaceSupported (String namespace)

Tests if the application supports the given namespace.

##### Parameters

namespace | The namespace.

#### public String toString ()

Returns the application's human-readable name.

#### public void writeToParcel (Parcel out, int flags)